Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.oai
Interface DocumentBaseOAIHarvester.ConfigurationNode

Enclosing interface:
  DocumentBaseOAIHarvester

public static interface DocumentBaseOAIHarvester.ConfigurationNode

Field Summary
`static java.lang.String` | `ADMIN_EMAIL` Configuration node name
`static java.lang.String` | `ATTRIBUTE_USE_LAST_HARVEST_DATE` Configuration node name
`static java.lang.String` | `FROM` Configuration node name
`static java.lang.String` | `GRANULARITY` Configuration node name
`static java.lang.String` | `KEEP_DELETED_RECORDS`
`static java.lang.String` | `METADATA_PREFIX` Configuration node name
`static java.lang.String` | `NAME` Configuration node name
`static java.lang.String` | `NO_RECORDS_PER_BATCH` Configuration node name
`static java.lang.String` | `OAI_DATA_PROVIDERS` Configuration node name
`static java.lang.String` | `OAI_IDENTIFIER` Configuration node name
`static java.lang.String` | `OAI_VERB` Configuration node name
`static java.lang.String` | `SDX_REPOSITORY` Configuration node name
`static java.lang.String` | `SET` Configuration node name
`static java.lang.String` | `UNTIL` Configuration node name
`static java.lang.String` | `UPDATE` Configuration node name
`static java.lang.String` | `URL` Configuration node name
`static java.lang.String` | `USER_AGENT` Configuration node name

Field Detail

### OAI_DATA_PROVIDERS

    public static final java.lang.String OAI_DATA_PROVIDERS

  Configuration node name

  See Also:
    Constant Field Values

### OAI_VERB

    public static final java.lang.String OAI_VERB

  Configuration node name

  See Also:
    Constant Field Values

### OAI_IDENTIFIER

    public static final java.lang.String OAI_IDENTIFIER

  Configuration node name

  See Also:
    Constant Field Values

### NAME

    public static final java.lang.String NAME

  Configuration node name

  See Also:
    Constant Field Values

### ADMIN_EMAIL

    public static final java.lang.String ADMIN_EMAIL

  Configuration node name

  See Also:
    Constant Field Values

### USER_AGENT

    public static final java.lang.String USER_AGENT

  Configuration node name

  See Also:
    Constant Field Values

### URL

    public static final java.lang.String URL

  Configuration node name

  See Also:
    Constant Field Values

### GRANULARITY

    public static final java.lang.String GRANULARITY

  Configuration node name

  See Also:
    Constant Field Values

### UPDATE

    public static final java.lang.String UPDATE

  Configuration node name

  See Also:
    Constant Field Values

### ATTRIBUTE_USE_LAST_HARVEST_DATE

    public static final java.lang.String ATTRIBUTE_USE_LAST_HARVEST_DATE

  Configuration node name

  See Also:
    Constant Field Values

### METADATA_PREFIX

    public static final java.lang.String METADATA_PREFIX

  Configuration node name

  See Also:
    Constant Field Values

### SDX_REPOSITORY

    public static final java.lang.String SDX_REPOSITORY

  Configuration node name

  See Also:
    Constant Field Values

### FROM

    public static final java.lang.String FROM

  Configuration node name

  See Also:
    Constant Field Values

### UNTIL

    public static final java.lang.String UNTIL

  Configuration node name

  See Also:
    Constant Field Values

### SET

    public static final java.lang.String SET

  Configuration node name

  See Also:
    Constant Field Values

### KEEP_DELETED_RECORDS

    public static final java.lang.String KEEP_DELETED_RECORDS

See Also:
  Constant Field Values

### NO_RECORDS_PER_BATCH

    public static final java.lang.String NO_RECORDS_PER_BATCH

  Configuration node name

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.